import request from "@/api/request.js";


// 全局信息
/**
 * @param {newsId} 
 */
export function getNewsSummary(params) {
    return request({
        method: 'GET',
        url: `/api/news/summary/${params.newsId}`,
        params
    })
}

// 新闻内容
/**
 * @param {newsId} 
 */
export function getNewsContent(params) {
    return request({
        method: 'GET',
        url: `/api/news/newsContent/${params.newsId}`,
        params
    })
}

// 事件脉络
/**
 * @param {newsId} 
 */
export function getNewsEvent(params) {
    return request({
        method: 'GET',
        url: `/api/news/newsEvent/${params.newsId}`,
        params
    })
}

// 相关新闻
/**
 * @param {newsId} 
 */
export function getRelationNews(params) {
    return request({
        method: 'GET',
        url: `/api/news/relationNews/${params.newsId}`,
        params
    })
}
